<!DOCTYPE html>
<html>
  <head>
    <title>Mon super formulaire</title>
  </head>
  <body>
    <h1>Formulaire</h1>
    {% if avatar %}
    <img
      src="data:{{ avatar.mimetype }};base64,{{ avatar.base64 }}"
      width="100px"
    >
    {% endif %}

    <form method="post" action="/" enctype="multipart/form-data">
      <input
        type="text"
        name="first_name"
        placeholder="Prénom"
        {% if fname %}value="{{ fname }}"{% endif %}
      >
      <input
        type="text"
        name="last_name"
        placeholder="Nom"
        {% if lname %}value="{{ lname }}"{% endif %}
      >
      <input type="file" name="avatar">
      <input type="submit" value="Envoyer">
    </form>

    <button onclick="sendForm(event)">Envoyer (API)</button>

    <script>
      async function sendForm(event) {
        event.preventDefault()
        const fileField = document.querySelector('input[type="file"]')

        const formData = new FormData()
        formData.append('avatar', fileField.files[0])

        const response = await fetch("/api", {method: "POST", body: formData})
        const data = await response.json()
        console.log(data)
      }
    </script>
  </body>
</html>
